Get meeting types
Retrieves multiple meeting types based on domain filtering. Defaults to user’s own meeting types when no domain is specified.
curl --request GET \
--url https://api.example.com/v4/meeting-type \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/meeting-type"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/meeting-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"color": {}
},
"meetingOptions": {
"allowedDurations": [
15,
30,
60
],
"allowSelectChannel": true,
"allowHostSelection": true,
"forceHostSelection": true,
"allowedChannels": [],
"allowAddingGuests": true,
"doubleOptIn": "<string>",
"requireHostConfirmation": "<string>",
"enableClusterMeeting": true,
"enableBufferCarryOver": true,
"maxBufferCarryOverDelay": 123,
"allowPhoneOnlyBooking": true,
"confirmationPageCssSetting": {
"mode": 123
},
"bookingPagePassword": {
"enable": true,
"password": {}
},
"channelAvailabilities": {}
},
"crmOptions": {
"hubspotContactSync": true,
"hubspotContactStage": "<string>",
"hubspotCompanySync": true,
"hubspotCompanyStage": "<string>",
"hubspotCompanyMatchingField": "<string>",
"hubspotDealSync": true,
"hubspotDealStage": "<string>",
"hubspotPipelineId": "<string>",
"pipedriveDealSync": true,
"pipedriveContactSync": true,
"pipedrivePipelineId": 123,
"pipedriveStageId": 123,
"pipedriveUseExistingDeal": true,
"centralStationContactSync": true,
"centralStationDealSync": true,
"centralStationPipelineId": 123,
"centralStationStageId": 123,
"linkandoSyncEnabled": true,
"linkandoPlaybookId": 123,
"linkandoTemplateId": 123,
"evalancheEnabled": true,
"klicktippEnabled": true,
"getResponseEnabled": true,
"getResponseCampaignId": "<string>",
"brevoEnabled": true,
"sevdeskEnabled": true,
"sevdeskCategoryId": 123,
"smartWeContactSync": true,
"smartWeCompanySync": true,
"smartWeDealSync": true,
"smartWeDealStage": "<string>",
"salesforceSyncEnabled": true,
"salesforceCaseSync": true,
"salesforceLeadSync": true,
"salesforceOpportunitySync": true,
"salesforceLeadStatus": "<string>",
"salesforceCaseStatus": "<string>",
"salesforceOpportunityStage": "<string>",
"salesforceDefaultObjectType": "<string>",
"internalCrmPipelineId": {},
"internalCrmStageId": {},
"crmOptInFieldName": {}
},
"ics": {
"title": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"location": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
}
},
"timeslotInterval": 123,
"spots": 123,
"enabled": true,
"slug": "<string>",
"bookingMinimum": 123,
"daysIntoFuture": {
"mode": "<string>",
"bookingLimit": 123,
"countMode": "<string>",
"rangeMin": "2023-11-07T05:31:56Z",
"rangeMax": "2023-11-07T05:31:56Z"
},
"enableCalendarInviteNotification": true,
"roundRobin": [
"<string>"
],
"useSchedule": true,
"useCompanyLogo": true,
"useCustomInvite": true,
"disableActionButtons": true,
"useCustomForm": true,
"inCompanyPage": true,
"formFirst": true,
"locations": [
"<string>"
],
"isGlobalQueue": true,
"compact": true,
"disableTeamsEmail": true,
"languageSetting": {
"enable": true,
"default": "<string>",
"allowed": [
"<string>"
]
},
"customTextSelectChannel": {
"enable": true,
"body": "<string>"
},
"timezonePreset": {
"enable": true,
"timezonePreset": "<string>"
},
"cssSetting": {
"mode": 123
},
"metaSetting": {
"nextBetaEnabled": true,
"title": "<string>",
"body": "<string>",
"image": "<string>"
},
"companyId": "<string>",
"createdById": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"formId": "<string>",
"availabilityId": "<string>",
"queueId": "<string>",
"reminderIds": [
"<string>"
],
"workspace": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"user": {
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
},
"createdBy": {
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
},
"availability": {
"id": "<string>",
"name": "<string>"
},
"form": {
"id": "<string>",
"name": "<string>"
},
"reminders": [
{
"id": 123,
"name": "<string>"
}
],
"metadata": {
"ticketId": "EVAL-12345"
},
"internalNotes": "<string>",
"oneTimeLink": {
"id": "<string>",
"url": "<string>",
"meetingTypeId": "<string>",
"createdAt": "<string>"
}
}
][
{
"id": "<string>",
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"color": {}
},
"meetingOptions": {
"allowedDurations": [
15,
30,
60
],
"allowSelectChannel": true,
"allowHostSelection": true,
"forceHostSelection": true,
"allowedChannels": [],
"allowAddingGuests": true,
"doubleOptIn": "<string>",
"requireHostConfirmation": "<string>",
"enableClusterMeeting": true,
"enableBufferCarryOver": true,
"maxBufferCarryOverDelay": 123,
"allowPhoneOnlyBooking": true,
"confirmationPageCssSetting": {
"mode": 123
},
"bookingPagePassword": {
"enable": true,
"password": {}
},
"channelAvailabilities": {}
},
"crmOptions": {
"hubspotContactSync": true,
"hubspotContactStage": "<string>",
"hubspotCompanySync": true,
"hubspotCompanyStage": "<string>",
"hubspotCompanyMatchingField": "<string>",
"hubspotDealSync": true,
"hubspotDealStage": "<string>",
"hubspotPipelineId": "<string>",
"pipedriveDealSync": true,
"pipedriveContactSync": true,
"pipedrivePipelineId": 123,
"pipedriveStageId": 123,
"pipedriveUseExistingDeal": true,
"centralStationContactSync": true,
"centralStationDealSync": true,
"centralStationPipelineId": 123,
"centralStationStageId": 123,
"linkandoSyncEnabled": true,
"linkandoPlaybookId": 123,
"linkandoTemplateId": 123,
"evalancheEnabled": true,
"klicktippEnabled": true,
"getResponseEnabled": true,
"getResponseCampaignId": "<string>",
"brevoEnabled": true,
"sevdeskEnabled": true,
"sevdeskCategoryId": 123,
"smartWeContactSync": true,
"smartWeCompanySync": true,
"smartWeDealSync": true,
"smartWeDealStage": "<string>",
"salesforceSyncEnabled": true,
"salesforceCaseSync": true,
"salesforceLeadSync": true,
"salesforceOpportunitySync": true,
"salesforceLeadStatus": "<string>",
"salesforceCaseStatus": "<string>",
"salesforceOpportunityStage": "<string>",
"salesforceDefaultObjectType": "<string>",
"internalCrmPipelineId": {},
"internalCrmStageId": {},
"crmOptInFieldName": {}
},
"ics": {
"title": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
},
"location": {
"en": "<string>",
"de": "<string>",
"fr": "<string>",
"es": "<string>",
"no": "<string>",
"it": "<string>",
"nl": "<string>",
"da": "<string>",
"pl": "<string>",
"se": "<string>",
"tr": "<string>"
}
},
"timeslotInterval": 123,
"spots": 123,
"enabled": true,
"slug": "<string>",
"bookingMinimum": 123,
"daysIntoFuture": {
"mode": "<string>",
"bookingLimit": 123,
"countMode": "<string>",
"rangeMin": "2023-11-07T05:31:56Z",
"rangeMax": "2023-11-07T05:31:56Z"
},
"enableCalendarInviteNotification": true,
"roundRobin": [
"<string>"
],
"useSchedule": true,
"useCompanyLogo": true,
"useCustomInvite": true,
"disableActionButtons": true,
"useCustomForm": true,
"inCompanyPage": true,
"formFirst": true,
"locations": [
"<string>"
],
"isGlobalQueue": true,
"compact": true,
"disableTeamsEmail": true,
"languageSetting": {
"enable": true,
"default": "<string>",
"allowed": [
"<string>"
]
},
"customTextSelectChannel": {
"enable": true,
"body": "<string>"
},
"timezonePreset": {
"enable": true,
"timezonePreset": "<string>"
},
"cssSetting": {
"mode": 123
},
"metaSetting": {
"nextBetaEnabled": true,
"title": "<string>",
"body": "<string>",
"image": "<string>"
},
"companyId": "<string>",
"createdById": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"formId": "<string>",
"availabilityId": "<string>",
"queueId": "<string>",
"reminderIds": [
"<string>"
],
"workspace": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"user": {
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
},
"createdBy": {
"id": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"slug": "<string>",
"userType": "<string>",
"picture": "<string>"
},
"availability": {
"id": "<string>",
"name": "<string>"
},
"form": {
"id": "<string>",
"name": "<string>"
},
"reminders": [
{
"id": 123,
"name": "<string>"
}
],
"metadata": {
"ticketId": "EVAL-12345"
},
"internalNotes": "<string>",
"oneTimeLink": {
"id": "<string>",
"url": "<string>",
"meetingTypeId": "<string>",
"createdAt": "<string>"
}
}
]Authorizations
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Query Parameters
Domain to filter meeting types by. Defaults to "me"
all, user, group, workspace, me Optional id to be used in combination with domain (required for user, group, workspace domains)
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Key-value metadata for integrations
{ "ticketId": "EVAL-12345" }
Internal note for organizers. Never shown to customers.
One-time booking link (only present when requested via options.createOneTimeLink)
Show child attributes
Show child attributes
